Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application6
Class Application6DescriptorImpl

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
          org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
              org.jboss.shrinkwrap.descriptor.impl.application6.Application6DescriptorImpl

All Implemented Interfaces:
  Application6Descriptor, org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>, org.jboss.shrinkwrap.descriptor.spi.NodeProvider

    public class Application6DescriptorImpl

extends org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
implements org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>, Application6Descriptor

This deployment descriptor provides the functionalities as described in the application_6.xsd specification

Example:

`Application6Descriptor descriptor = Descriptors.create(Application6Descriptor.class);`

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`Application6DescriptorImpl(java.lang.String descriptorName)`
`Application6DescriptorImpl(java.lang.String descriptorName, org.jboss.shrinkwrap.descriptor.spi.Node node)`

Method Summary
`Application6Descriptor` | `addDefaultNamespaces()`
`Application6Descriptor` | `addNamespace(java.lang.String name, java.lang.String value)`
`DataSourceType<Application6Descriptor>` | `dataSource()` Returns the `data-source` element
`EjbLocalRefType<Application6Descriptor>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<Application6Descriptor>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<Application6Descriptor>` | `envEntry()` Returns the `env-entry` element
`java.lang.String` | `getApplicationName()` Returns the `application-name` element
`java.util.List<DataSourceType<Application6Descriptor>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<Application6Descriptor>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<Application6Descriptor>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<Application6Descriptor>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<IconType<Application6Descriptor>>` | `getIconList()` Returns all `icon` elements
`GenericBooleanType` | `getInitializeInOrder()` Returns the `initialize-in-order` element
`java.lang.String` | `getInitializeInOrderAsString()` Returns the `initialize-in-order` element
`java.lang.String` | `getLibraryDirectory()` Returns the `library-directory` element
`java.util.List<MessageDestinationType<Application6Descriptor>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<Application6Descriptor>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<ModuleType<Application6Descriptor>>` | `getModuleList()` Returns all `module` elements
`java.util.List<java.lang.String>` | `getNamespaces()`
`java.util.List<PersistenceContextRefType<Application6Descriptor>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<Application6Descriptor>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<ResourceEnvRefType<Application6Descriptor>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<Application6Descriptor>>` | `getResourceRefList()` Returns all `resource-ref` elements
`org.jboss.shrinkwrap.descriptor.spi.Node` | `getRootNode()`
`java.util.List<SecurityRoleType<Application6Descriptor>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<Application6Descriptor>` | `icon()` Returns the `icon` element
`MessageDestinationType<Application6Descriptor>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<Application6Descriptor>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`ModuleType<Application6Descriptor>` | `module()` Returns the `module` element
`PersistenceContextRefType<Application6Descriptor>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<Application6Descriptor>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`Application6Descriptor` | `removeAllDataSource()` Removes all `data-source` elements
`Application6Descriptor` | `removeAllDescription()` Removes the `description` element
`Application6Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`Application6Descriptor` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`Application6Descriptor` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`Application6Descriptor` | `removeAllEnvEntry()` Removes all `env-entry` elements
`Application6Descriptor` | `removeAllIcon()` Removes all `icon` elements
`Application6Descriptor` | `removeAllMessageDestination()` Removes all `message-destination` elements
`Application6Descriptor` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`Application6Descriptor` | `removeAllModule()` Removes all `module` elements
`Application6Descriptor` | `removeAllNamespaces()`
`Application6Descriptor` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`Application6Descriptor` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`Application6Descriptor` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`Application6Descriptor` | `removeAllResourceRef()` Removes all `resource-ref` elements
`Application6Descriptor` | `removeAllSecurityRole()` Removes all `security-role` elements
`Application6Descriptor` | `removeApplicationName()` Removes the `application-name` element
`Application6Descriptor` | `removeLibraryDirectory()` Removes the `library-directory` element
`Application6Descriptor` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<Application6Descriptor>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<Application6Descriptor>` | `resourceRef()` Returns the `resource-ref` element
`SecurityRoleType<Application6Descriptor>` | `securityRole()` Returns the `security-role` element
`Application6Descriptor` | `setApplicationName(java.lang.String applicationName)` If not already created, a new `application-name` element with the given value will be created.
`Application6Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`Application6Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`Application6Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`Application6Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`Application6Descriptor` | `setInitializeInOrder(GenericBooleanType initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`Application6Descriptor` | `setInitializeInOrder(java.lang.String initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`Application6Descriptor` | `setLibraryDirectory(java.lang.String libraryDirectory)` If not already created, a new `library-directory` element with the given value will be created.
`Application6Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
`exportAsString, exportTo`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
`getDescriptorName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Constructor Detail

### Application6DescriptorImpl

    public Application6DescriptorImpl(java.lang.String descriptorName)

### Application6DescriptorImpl

    public Application6DescriptorImpl(java.lang.String descriptorName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

Method Detail

### getRootNode

    public org.jboss.shrinkwrap.descriptor.spi.Node getRootNode()

  Specified by:
    `getRootNode` in interface `org.jboss.shrinkwrap.descriptor.spi.NodeProvider`

### addDefaultNamespaces

    public Application6Descriptor addDefaultNamespaces()

  Specified by:
    `addDefaultNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>`

### addNamespace

    public Application6Descriptor addNamespace(java.lang.String name,
                                               java.lang.String value)

  Specified by:
    `addNamespace` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>`

### getNamespaces

    public java.util.List<java.lang.String> getNamespaces()

  Specified by:
    `getNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>`

### removeAllNamespaces

    public Application6Descriptor removeAllNamespaces()

  Specified by:
    `removeAllNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Application6Descriptor>`

### setApplicationName

    public Application6Descriptor setApplicationName(java.lang.String applicationName)

  If not already created, a new `application-name` element with the given value will be created. Otherwise, the existing `application-name` element will be updated with the given value.

  Specified by:
    `setApplicationName` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### removeApplicationName

    public Application6Descriptor removeApplicationName()

  Removes the `application-name` element

  Specified by:
    `removeApplicationName` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getApplicationName

    public java.lang.String getApplicationName()

  Returns the `application-name` element

  Specified by:
    `getApplicationName` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `application-name`

### setInitializeInOrder

    public Application6Descriptor setInitializeInOrder(GenericBooleanType initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Specified by:
    `setInitializeInOrder` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### setInitializeInOrder

    public Application6Descriptor setInitializeInOrder(java.lang.String initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Specified by:
    `setInitializeInOrder` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getInitializeInOrder

    public GenericBooleanType getInitializeInOrder()

  Returns the `initialize-in-order` element

  Specified by:
    `getInitializeInOrder` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `initialize-in-order`

### getInitializeInOrderAsString

    public java.lang.String getInitializeInOrderAsString()

  Returns the `initialize-in-order` element

  Specified by:
    `getInitializeInOrderAsString` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `initialize-in-order`

### removeAllModule

    public Application6Descriptor removeAllModule()

  Removes all `module` elements

  Specified by:
    `removeAllModule` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### module

    public ModuleType<Application6Descriptor> module()

  Returns the `module` element

  Specified by:
    `module` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `module`

### getModuleList

    public java.util.List<ModuleType<Application6Descriptor>> getModuleList()

  Returns all `module` elements

  Specified by:
    `getModuleList` in interface `Application6Descriptor`
  Returns:
    list of `module`

### removeAllSecurityRole

    public Application6Descriptor removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### securityRole

    public SecurityRoleType<Application6Descriptor> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<Application6Descriptor>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `Application6Descriptor`
  Returns:
    list of `security-role`

### setLibraryDirectory

    public Application6Descriptor setLibraryDirectory(java.lang.String libraryDirectory)

  If not already created, a new `library-directory` element with the given value will be created. Otherwise, the existing `library-directory` element will be updated with the given value.

  Specified by:
    `setLibraryDirectory` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### removeLibraryDirectory

    public Application6Descriptor removeLibraryDirectory()

  Removes the `library-directory` element

  Specified by:
    `removeLibraryDirectory` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getLibraryDirectory

    public java.lang.String getLibraryDirectory()

  Returns the `library-directory` element

  Specified by:
    `getLibraryDirectory` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `library-directory`

### removeAllEnvEntry

    public Application6Descriptor removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### envEntry

    public EnvEntryType<Application6Descriptor> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<Application6Descriptor>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `Application6Descriptor`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public Application6Descriptor removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### ejbRef

    public EjbRefType<Application6Descriptor> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<Application6Descriptor>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `Application6Descriptor`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public Application6Descriptor removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### ejbLocalRef

    public EjbLocalRefType<Application6Descriptor> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<Application6Descriptor>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `Application6Descriptor`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public Application6Descriptor removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### resourceRef

    public ResourceRefType<Application6Descriptor> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<Application6Descriptor>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `Application6Descriptor`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public Application6Descriptor removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### resourceEnvRef

    public ResourceEnvRefType<Application6Descriptor> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<Application6Descriptor>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `Application6Descriptor`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public Application6Descriptor removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### messageDestinationRef

    public MessageDestinationRefType<Application6Descriptor> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<Application6Descriptor>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `Application6Descriptor`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public Application6Descriptor removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### persistenceContextRef

    public PersistenceContextRefType<Application6Descriptor> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<Application6Descriptor>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `Application6Descriptor`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public Application6Descriptor removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### persistenceUnitRef

    public PersistenceUnitRefType<Application6Descriptor> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<Application6Descriptor>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `Application6Descriptor`
  Returns:
    list of `persistence-unit-ref`

### removeAllMessageDestination

    public Application6Descriptor removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### messageDestination

    public MessageDestinationType<Application6Descriptor> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<Application6Descriptor>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `Application6Descriptor`
  Returns:
    list of `message-destination`

### removeAllDataSource

    public Application6Descriptor removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### dataSource

    public DataSourceType<Application6Descriptor> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<Application6Descriptor>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `Application6Descriptor`
  Returns:
    list of `data-source`

### setVersion

    public Application6Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `Application6Descriptor`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `Application6Descriptor`

### removeVersion

    public Application6Descriptor removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `version`

### setDescription

    public Application6Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### setDescriptionList

    public Application6Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `Application6Descriptor`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `Application6Descriptor`

### removeAllDescription

    public Application6Descriptor removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `Application6Descriptor`
  Returns:
    list of `description`

### setDisplayName

    public Application6Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### setDisplayNameList

    public Application6Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `Application6Descriptor`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `Application6Descriptor`

### removeAllDisplayName

    public Application6Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `Application6Descriptor`
  Returns:
    list of `display-name`

### removeAllIcon

    public Application6Descriptor removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `Application6Descriptor`
  Returns:
    the current instance of `Application6Descriptor`

### icon

    public IconType<Application6Descriptor> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `Application6Descriptor`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<Application6Descriptor>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `Application6Descriptor`
  Returns:
    list of `icon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD